Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQResizeEvent Class Reference

The TQResizeEvent class contains event parameters for resize events. More...

`#include <ntqevent.h>`

Inherits TQEvent.

List of all member functions.

## Public Members

- TQResizeEvent ( const TQSize & size, const TQSize & oldSize )
- const TQSize & size () const
- const TQSize & oldSize () const

## Detailed Description

The TQResizeEvent class contains event parameters for resize events.

Resize events are sent to widgets that have been resized.

The event handler TQWidget::resizeEvent() receives resize events.

See also TQWidget::size, TQWidget::geometry, and Event Classes.

## Member Function Documentation

### TQResizeEvent::TQResizeEvent ( const TQSize & size, const TQSize & oldSize )

Constructs a resize event with the new and old widget sizes, size and oldSize respectively.

### const TQSize & TQResizeEvent::oldSize () const

Returns the old size of the widget.

### const TQSize & TQResizeEvent::size () const

Returns the new size of the widget, which is the same as TQWidget::size().

Examples: chart/canvasview.cpp and life/life.cpp.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.